Name:           bitfighter
Version:        019f
Release:        %mkrel 1
Summary:        Free multi-player 2D space combat game with dual-axes controls
Group:          Games/Arcade
License:        GPLv2+
URL:            http://bitfighter.org
Source0:        http://bitfighter.org/files/%{name}-%{version}.tar.gz
Patch0:         bitfighter-019d-mga-system-tomcrypt.patch

BuildRequires:  boost-devel
BuildRequires:  cmake
BuildRequires:  mariadb-devel
BuildRequires:  pkgconfig(alure)
BuildRequires:  pkgconfig(libmodplug)
BuildRequires:  pkgconfig(libpng)
BuildRequires:  pkgconfig(luajit)
BuildRequires:  pkgconfig(openal)
BuildRequires:  pkgconfig(poly2tri)
BuildRequires:  pkgconfig(polyclipping)
BuildRequires:  pkgconfig(sdl2)
BuildRequires:  pkgconfig(speex)
BuildRequires:  pkgconfig(sqlite3)
BuildRequires:  pkgconfig(vorbisfile)
BuildRequires:  pkgconfig(zlib)
BuildRequires:  tomcrypt-devel
# ovitters: pkgconfig(gobject-introspection-1.0) includes script to determine typelib() auto buildrequires
BuildRequires:  pkgconfig(gobject-introspection-1.0)

%description
Bitfighter is a free multi-player 2-D space combat game with dual-axes
controls. It's a team-based strategy game featuring retro vector graphics
and customizable ships. It's fast, fun, and frenetic.

%prep
%setup -q
%autopatch -p1

# Remove bundled dependencies
rm -rf alure \
  boost \
  clipper \
  lua \
  poly2tri \
  sqlite \
  tomcrypt

%build
# BUILD_SHARED_LIBS=OFF to prevent building tnl as .so
%cmake -DBUILD_SHARED_LIBS=OFF \
       -DCMAKE_BIN_PATH=%{_gamesbindir} \
       -DCMAKE_DATA_PATH=%{_gamesdatadir}

%make_build

%install
%make_install -C build

%files
%doc doc/README.txt LICENSE.txt
%{_datadir}/applications/%{name}.desktop
%{_datadir}/pixmaps/%{name}.png
%{_gamesbindir}/%{name}
%{_gamesbindir}/%{name}_notifier
%{_gamesdatadir}/%{name}/
%{_mandir}/man6/%{name}.6*


%changelog
* Mon May 08 2017 akien <akien> 019f-1.mga6
+ Revision: 1099706
- Version 019f

* Mon Sep 19 2016 akien <akien> 019e-4.mga6
+ Revision: 1054419
- Rebuild again for polyclipping, for real this time

* Mon Sep 19 2016 akien <akien> 019e-3.mga6
+ Revision: 1054303
- Rebuild for polyclipping 6.4

* Sun Apr 24 2016 akien <akien> 019e-2.mga6
+ Revision: 1005898
- Build dependencies statically
- Version 019e
- Dramatic packaging simplifications

* Sat Feb 13 2016 umeabot <umeabot> 019d-5.mga6
+ Revision: 959606
- Mageia 6 Mass Rebuild

* Thu Sep 03 2015 cjw <cjw> 019d-4.mga6
+ Revision: 872418
- patch2: fix build with gcc 5

* Tue Jan 06 2015 akien <akien> 019d-3.mga5
+ Revision: 808785
- Remove dumb dependency, the issue was in alure

* Tue Jan 06 2015 akien <akien> 019d-2.mga5
+ Revision: 808758
- Require libdumb

* Sun Jan 04 2015 akien <akien> 019d-1.mga5
+ Revision: 808345
- Add BR on luajit and sqlite3
- Version 019d
- Build against system poly2tri, polyclipping and tomcrypt
- Add manpage

* Wed Oct 15 2014 umeabot <umeabot> 019c-3.mga5
+ Revision: 745553
- Second Mageia 5 Mass Rebuild

* Tue Sep 16 2014 umeabot <umeabot> 019c-2.mga5
+ Revision: 678162
- Mageia 5 Mass Rebuild

  + ovitters <ovitters>
    - add gobject-introspection BR for typelib auto BR

  + akien <akien>
    - Improve description and summary

* Sat Jun 28 2014 akien <akien> 019c-1.mga5
+ Revision: 640651
- Use system boost
- Use system alure/openal
- imported package bitfighter

